class GolfBall extends SqRootScript
{
    startTime = 0;

    function OnFrobWorldBegin()
    {
        startTime = GetTime();
    }

    function OnFrobWorldEnd()
    {
        local holdTime = GetTime() - startTime;
        print(holdTime);

        local speedMulti = 30;
        local speed = holdTime * speedMulti;
        if (speed < 0.5)
            speed = 0.5;
        if (speed > 50)
            speed = 50;
        print(speed);

        local playerFacing = Object.Facing(message().Frobber);
        local zeroZFacing = vector(0, 0, playerFacing.z);
        Object.Teleport(self, Object.Position(self), zeroZFacing);

        local projectile = Physics.LaunchProjectile(self, self, speed, 11, vector());
    }
}
